### File

`packages/core/src/lib/components/euim-empty-list-placeholder/euim-empty-list-placeholder.component.ts`

### Implements

`AfterViewInit`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
selector | `euim-empty-list-placeholder`
imports | `IonicModule` `TranslateModule`
styleUrls | `./styles/_index.scss`
templateUrl | `euim-empty-list-placeholder.component.html`

### Index

###### Properties
contentWrapper isEmptyContent
###### Methods
getCssClasses
###### Inputs
button description euimMarginBottomSmall euimMarginTopLarge euimMarginTopSmall icon message
###### HostBindings
class
###### Accessors
cssClasses

### Constructor

`constructor(cdr: ChangeDetectorRef)`
Parameters :
Name | Type | Optional
cdr | `ChangeDetectorRef` | No

### Inputs

button
Type : `string`

description
Type : `string`

euimMarginBottomSmall
Type : `boolean`

euimMarginTopLarge
Type : `boolean`

euimMarginTopSmall
Type : `boolean`

icon
Type : `string`

message
Type : `string`

### HostBindings

class
Type : `string`

### Methods

getCssClasses
`getCssClasses()`
Returns : `string`

### Properties

contentWrapper
Type : `ElementRef`
Decorators : `@ViewChild('contentWrapper')`

isEmptyContent
Default value : `true`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""